Forum Libraries, Components, and Plugins

Error: framework not found libSkiaSharp

I have recently been trying to use SkiaSharp in my Xamarin Forms app. I have installed the nuget SkiaSharp.Views.Forms (2.80.1), Whenever I call SkiSharp code I get the following during linking phase:

/Users/bill/Projects/OurGalaxyX/OurGalaxyX.iOS/clang: Error: linker command failed with exit code 1 (use -v to see invocation) (OurGalaxyX.iOS)
/Users/bill/Projects/OurGalaxyX/OurGalaxyX.iOS/error MT5209: Error: framework not found libSkiaSharp (OurGalaxyX.iOS) Native linking

Removing the code makes the error go away.

I have downloaded some demo SkiaSharp code and it does compile and run. However it is using SkiaSharp (1.68.2-preview.60) and Xamarin.Forms(4.5.0.657)

Can anyone help me with this?

Tagged:

Answers

  • btschumybtschumy Member ✭✭

    On a hunch, I downgraded to the same 1.68.2 version of SkiaSharp that worked in the demo software. That does link properly in my project. So maybe there is a problem with the 2.XXX SkiaSharp package?

  • ColeXColeX Member, Xamarin Team Xamurai

    Consider raising issue on github : https://github.com/mono/SkiaSharp/issues.

    And if problem gets solved please accept it as answer .

Sign In or Register to comment.